Skip to content

Delete Tags from Integration Provider

Endpoint: DELETE /api/integrations/provider/{name}/tags

Deletes tags from an integration provider.

Path parameters

Parameter Description Type Required/ Optional
name The name of the integration provider from which the tags are to be deleted. string Required.

Request Body

The request body should be an array of tag objects.

Parameter Description Type Required/ Optional
key The tag key. string Required.
value The tag value. string Required.

Response

Returns 200 OK, indicating that tags have been deleted from the integration provider.

Examples

Delete a single tag from an integration provider

Request

curl -X 'DELETE' \
  'https://<YOUR-SERVER-URL>/api/integrations/provider/openAI/tags' \
  -H 'accept: */*' \
  -H 'X-Authorization: <TOKEN>' \
  -H 'Content-Type: application/json' \
  -d '[
  {
    "key": "team",
    "value": "docs"
  }
]'

Response

Returns 200 OK, indicating that the tag has been deleted from the integration provider.

Delete multiple tags from an integration provider

Request

curl -X 'DELETE' \
  'https://<YOUR-SERVER-URL>/api/integrations/provider/openAI/tags' \
  -H 'accept: */*' \
  -H 'X-Authorization: <TOKEN>' \
  -H 'Content-Type: application/json' \
  -d '[
  {
    "key": "team",
    "value": "docs"
  },
  {
    "key": "team",
    "value": "marketing"
  }
]'

Response

Returns 200 OK, indicating that the tags have been deleted from the integration provider.